@echo off

title AmazBoost Installer
echo  ::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
echo  :::'###::::'##::::'##::::'###::::'########:'########:::'#######:::'#######:::'######::'########:
echo  ::'## ##::: ###::'###:::'## ##:::..... ##:: ##.... ##:'##.... ##:'##.... ##:'##... ##:... ##..::
echo  :'##:. ##:: ####'####::'##:. ##:::::: ##::: ##:::: ##: ##:::: ##: ##:::: ##: ##:::..::::: ##::::
echo  '##:::. ##: ## ### ##:'##:::. ##:::: ##:::: ########:: ##:::: ##: ##:::: ##:. ######::::: ##::::
echo   #########: ##. #: ##: #########::: ##::::: ##.... ##: ##:::: ##: ##:::: ##::..... ##:::: ##::::
echo   ##.... ##: ##:.:: ##: ##.... ##:: ##:::::: ##:::: ##: ##:::: ##: ##:::: ##:'##::: ##:::: ##::::
echo   ##:::: ##: ##:::: ##: ##:::: ##: ########: ########::. #######::. #######::. ######::::: ##::::
echo  ..:::::..::..:::::..::..:::::..::........::........::::.......::::.......::::......::::::..:::::
echo  ::::::::::::::::::::::::::::::::By AmazDev @androidexpert35 xda:::::::::::::::::::::::::::::::::
echo.

echo - Waiting for device...
echo.

adb wait-for-device

echo - Waiting for root...
echo.
adb root
adb wait-for-device

echo - Installing AmazBoost...
echo.
adb root
adb wait-for-device
adb shell mount -o remount,rw /system
adb shell mkdir -p /system/AmazBoost/LOGS/
adb push logcat_tweaks /system/etc/init.d/
adb push CSZ_tweaks /system/etc/init.d/
adb push VM_tweaks /system/etc/init.d/
adb push Battery_tweaks /system/etc/init.d/
adb push 85kernel_tweaks /system/etc/init.d/
adb push EXT4_tweaks /system/etc/init.d/
adb push IO_tweaks /system/etc/init.d/
adb push 3D_tweaks /system/etc/init.d/
adb push Cleaner_tweaks /system/etc/init.d/
adb push Performance_tweaks /system/etc/init.d/
adb push Renice_tweaks /system/etc/init.d/
adb push RAM_tweaks /system/etc/init.d/
adb push busybox /system/xbin/

echo.
echo - Setting permissions...
echo.

adb shell chmod -R 0755 /system/AmazBoost
adb shell chmod -R 0755 /system/AmazBoost/LOGS
adb shell chown 0:2000 /system/xbin/busybox
adb shell chmod 0777 /system/etc/init.d/*
adb shell busybox ln -sf busybox "/system/xbin/$i"

echo - Rebooting...
echo.

adb shell reboot

echo AmazBoost installed! Press any key to exit...
echo.

pause > nul


